# std::ostreambuf_iterator::failed

From cppreference.com
< cpp‎ | iterator‎ | ostreambuf iterator

bool failed() const; |  |

Returns true if the iterator encountered the end-of-file condition, that is, if an earlier call to std::basic_streambuf::sputc (made by operator=) returned Traits::eof.

### Parameters

(none)

### Return value

true if this iterator has encountered the end-of-file condition on output, false otherwise.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/ostreambuf_iterator/failed&oldid=91419"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template